!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine NumDiffusionVelX
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: numdiffusionvelx.f90,v 1.4 2005/02/02 10:07:26 odakker Exp $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!Ǵɾ. 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!Ǵ arareprm , \nu = \frac{\alpha \DeltaX}{\Delta t} Ƿ. 
!\alpha < 1/8 Ǥ. 
!CReSS ޥ˥奢뻲. 
!
!== Future Plans
!
                                                                 !=end

subroutine NumDiffusionVelX(fs_VelX_n, fs_NumDiffVelX_n)
                                                                 !=begin  
  !== Dependency 
  use dc_trace, only: BeginSub, EndSub
  use gridset,  only: DimXMin, DimXMax, DimZMin, DimZMax
  use differentiate_center2,  only: fs_dx_ss, ss_dx_fs, fs_dz_ff, ff_dz_fs
  use arareprm, only: Cm, NuH, NuV
                                                                 !=end  
  !--- ۤηػ
  implicit none
                                                                 !=begin    
  !== Input 
  real(8), intent(in) :: fs_VelX_n(DimXMin:DimXMax, DimZMin:DimZMax) !® u
  
  !== Output
  real(8), intent(out) :: fs_NumDiffVelX_n(DimXMin:DimXMax, DimZMin:DimZMax) !sǴ
                                                                 !=end

  call BeginSub("NumDiffusionVelX", &
&          fmt="%c",       &
&          c1="Calculate numerical diffusion term for VelX (sf_NumDiffVelX).")

  !--- Ȼ 
  fs_NumDiffVelX_n = &
       &   NuH * ( fs_dx_ss( ss_dx_fs( fs_VelX_n) ) ) &
       & + NuV * ( fs_dz_ff( ff_dz_fs( fs_VelX_n) ) ) 

  call EndSub("NumDiffusionVelX")
  
end subroutine NumDiffusionVelX
